<?xml version='1.0' encoding='UTF-8'?>
<ProfilesCatalog SchemaVersion="0.6.0">
  <AgentProfiles>
    <AgentProfile Name="TFAgent" Type="Dynamic">
      <DriverProfiles>
        <DriverProfile Name="Regular" Probability="1.0"/>
      </DriverProfiles>
      <SystemProfiles>
        <SystemProfile Name="TFVehicle" Probability="1.0"/>
      </SystemProfiles>
      <VehicleModels>
        <VehicleModel Name="car_bmw_7_1" Probability="1.0"/>
      </VehicleModels>
    </AgentProfile>
    <AgentProfile Name="StandingAgent" Type="Dynamic">
      <DriverProfiles>
        <DriverProfile Name="Standing" Probability="1.0"/>
      </DriverProfiles>
      <SystemProfiles>
        <SystemProfile Name="StandingVehicle" Probability="1.0"/>
      </SystemProfiles>
      <VehicleModels>
        <VehicleModel Name="car_bmw_i3" Probability="1.0"/>
      </VehicleModels>
    </AgentProfile>
  </AgentProfiles>
  <SystemProfiles>
    <SystemProfile Name="TFVehicle">
      <Components>
        <Component Type="Dynamics_TrajectoryFollower">
          <Profiles>
            <Profile Name="BasicTrajectoryFollower" Probability="1.0"/>
          </Profiles>
        </Component>
      </Components>
      <Sensors/>
    </SystemProfile>
    <SystemProfile Name="StandingVehicle">
      <Components/>
      <Sensors/>
    </SystemProfile>
  </SystemProfiles>
  <ProfileGroup Type="Driver">
    <Profile Name="Regular">
		<String Key="Type" Value="AlgorithmAgentFollowingDriverModel"/>
		<String Key="AlgorithmLateralModule" Value="Algorithm_LateralAfdm"/>
		<String Key="AlgorithmLongitudinalModule" Value="Algorithm_LongitudinalAfdm"/>
		<Double Key="VelocityWish" Value="35.0"/>
		<Double Key="Delta" Value="4.0"/>
		<Double Key="TGapWish" Value="1.5"/>
		<Double Key="MinDistance" Value="2.0"/>
		<Double Key="MaxAcceleration" Value="0.0"/>
		<Double Key="MaxDeceleration" Value="0.0"/>
      </Profile>
    <Profile Name="Standing">
		<String Key="Type" Value="AlgorithmAgentFollowingDriverModel"/>
		<String Key="AlgorithmLateralModule" Value="Algorithm_LateralAfdm"/>
		<String Key="AlgorithmLongitudinalModule" Value="Algorithm_LongitudinalAfdm"/>
		<Double Key="VelocityWish" Value="0.0"/>
		<Double Key="Delta" Value="4.0"/>
		<Double Key="TGapWish" Value="1.5"/>
		<Double Key="MinDistance" Value="2.0"/>
		<Double Key="MaxAcceleration" Value="0.0"/>
		<Double Key="MaxDeceleration" Value="0.0"/>
      </Profile>
  </ProfileGroup>
  <ProfileGroup Type="Dynamics_TrajectoryFollower">
    <Profile Name="BasicTrajectoryFollower">
			<Bool Key="AutomaticDeactivation" Value="true"/>
			<Bool Key="EnforceTrajectory" Value="true"/>
		</Profile>
  </ProfileGroup>
  <ProfileGroup Type="TrafficRules">
    <Profile Name="DE">
      <Double Key="OpenSpeedLimit" Value="INF"/>
      <Double Key="OpenSpeedLimitTrucks" Value="22.2222222"/>
      <Double Key="OpenSpeedLimitBuses" Value="27.7777777"/>
      <Bool Key="KeepToOuterLanes" Value="true"/>
      <Bool Key="DontOvertakeOnOuterLanes" Value="true"/>
      <Bool Key="FormRescueLane" Value="true"/>
      <Bool Key="ZipperMerge" Value="true"/>
    </Profile>
    <Profile Name="US">
      <Double Key="OpenSpeedLimit" Value="31.2928"/>
      <Double Key="OpenSpeedLimitTrucks" Value="26.8224"/>
      <Double Key="OpenSpeedLimitBuses" Value="26.8224"/>
      <Bool Key="KeepToOuterLanes" Value="false"/>
      <Bool Key="DontOvertakeOnOuterLanes" Value="false"/>
      <Bool Key="FormRescueLane" Value="true"/>
      <Bool Key="ZipperMerge" Value="false"/>
    </Profile>
    <Profile Name="CN">
      <Double Key="OpenSpeedLimit" Value="33.3333"/>
      <Double Key="OpenSpeedLimitTrucks" Value="25.0"/>
      <Double Key="OpenSpeedLimitBuses" Value="27.7777777"/>
      <Bool Key="KeepToOuterLanes" Value="false"/>
      <Bool Key="DontOvertakeOnOuterLanes" Value="true"/>
      <Bool Key="FormRescueLane" Value="false"/>
      <Bool Key="ZipperMerge" Value="true"/>
    </Profile>
  </ProfileGroup>
</ProfilesCatalog>
